/*
 * TeleopDrive.cpp
 *
 *  Created on: Oct 29, 2017
 *      Author: jonah
 */

#include <teleopDrive/TeleopDrive.h>
#include <subsys/interfaces/IChassis.h>
#include <subsys/factories/ChassisFactory.h>
#include <driverInputs/OI.h>

namespace Team302 {

TeleopDrive::TeleopDrive() {
}

TeleopDrive::~TeleopDrive() {
}

void TeleopDrive::Drive() {
	//Set chassis power according to OI's inputs
	ChassisFactory::GetInstance()->GetIChassis()->SetPowerMagnitudes(
			OI::GetInstance()->GetRobotXMagnitude(),
			OI::GetInstance()->GetRobotYMagnitude(),
			OI::GetInstance()->GetRobotRotationMagnitude());
}

} /* namespace Team302 */
